%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python-pgu
Version:	0.12.3
Release:	14%{?dist}
Summary:	A collection of useful modules for writing games with PyGame

Group:		Development/Languages
License:	LGPLv2+
URL:		http://code.google.com/p/pgu/
Source0:	http://pgu.googlecode.com/files/pgu-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python-devel

Requires:	pygame
Requires:	bitstream-vera-sans-fonts

%description
PGU is a collection of useful modules for writing games with PyGame.
At the moment the project consists of:
- Tools for editing tile-based levels
- A module for creating GUIs
- A set of general-purpose game libraries

%prep
%setup -q -n pgu-%{version}


%build
%{__python} setup.py build
cd docs/ && %{__python} build.py


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# remove these examples programs.
rm -f %{buildroot}%{_bindir}/*
# put them in a directory that will be included in doc
chmod 644 build/scripts-*/*
mv build/scripts-*/* examples
# replace the Vera.ttf files by a symlink to the file provided by the
# bitstream-vera-sans-fonts rpm
find %{buildroot}%{_datadir}/pgu -name Vera.ttf -exec ln -sf %{_datadir}/fonts/bitstream-vera/Vera.ttf '{}' \;


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GUIDE.txt LICENSE.txt README.txt TODO.txt CHANGES.txt BUGS.txt
%doc docs/*.html
# some examples
%doc examples
# python files
%{python_sitelib}/*
# data files
%{_datadir}/pgu


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.12.3-6
- Bump release to rebuild against dist-f14-py27-rebuild

* Thu Jul 22 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.12.3-5
- Fix install procedure to work with any python version

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 31 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 0.12.3-3
- Fix license tag, add macro, use system-wide fonts and remove useless doc

* Tue Dec 17 2009 Le Coz Florent <louizatakk@fedoraproject.org> - 0.12.3-2
- add examples in documentation

* Mon Dec 14 2009 Le Coz Florent <louizatakk@fedoraproject.org> - 0.12.3-1
- First version
